Skip to main content
GET
/
v1
/
entities
/
{id}
Get canonical entity metadata
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.arcmira.com/v1/entities/{id}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
import requests

url = "https://api.arcmira.com/v1/entities/{id}"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.text)
curl --request GET \
--url https://api.arcmira.com/v1/entities/{id} \
--header 'Authorization: Bearer <token>'
{
  "entity": {
    "id": "<string>",
    "numeric_id": 123,
    "canonical_id": "<string>",
    "name": "<string>",
    "type": "<string>",
    "platform": "<string>",
    "url": "<string>",
    "image_url": "<string>",
    "image_checked_at": "<string>",
    "owner_entity_id": "<string>",
    "is_canonical": true,
    "merged_from_id": "<string>",
    "route": "<string>",
    "appearance_count": 0
  },
  "recommendations_summary": {
    "total_ad_reads": 123,
    "total_endorsements": 123,
    "unique_shows": 123,
    "first_seen_at": "<string>",
    "last_seen_at": "<string>",
    "channels_as_sponsor": 123
  }
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}
{
"error": {
"type": "<string>",
"code": "<string>",
"message": "<string>",
"doc_url": "<string>",
"request_id": "<string>",
"param": "<string>"
}
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Response

Success

entity
object
required
recommendations_summary
object

Commercial-intelligence rollup. Only present for organization and product entities when the caller has Recommendations API access (Pro+ plan with the recommendations:read scope) and a brand profile exists.